<div class="row">
    <div class="col">
        <table mat-table [dataSource]="messages" class="mat-elevation-z8 w-100 mb-3">

            <!-- Position Column -->
            <ng-container matColumnDef="message">
                <th mat-header-cell *matHeaderCellDef> Message</th>
                <td mat-cell *matCellDef="let element"> {{element.message || '-'}} </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="sendByName">
                <th mat-header-cell *matHeaderCellDef> Sent By </th>
                <td mat-cell *matCellDef="let element"> {{element.sendByName || '-'}} </td>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="sendByEmail">
                <th mat-header-cell *matHeaderCellDef> Email </th>
                <td mat-cell *matCellDef="let element"> {{element.sendByEmail || '-'}} </td>
            </ng-container>

            <ng-container matColumnDef="sentDate">
                <th mat-header-cell *matHeaderCellDef> Sent on </th>
                <td mat-cell *matCellDef="let element"> {{(element.sentDate | date:'medium')|| '-'}} </td>
            </ng-container>
           

            <!-- Symbol Column -->
            <ng-container matColumnDef="reply">
                <th mat-header-cell *matHeaderCellDef> Reply </th>
                <td mat-cell *matCellDef="let element">
                    <button mat-icon-button (click)="onReply(element.sendById)" color="primary" aria-label="Example icon button with a home icon">
                        <mat-icon>reply</mat-icon>
                    </button>
                </td>
            </ng-container>



            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

    </div>
</div>